Skip to main content
PATCH
https://{tenantDomain}/api/v2
/
client-grants
/
{id}
Go
package example

import (
    context "context"

    management "github.com/auth0/go-auth0/management/management"
    client "github.com/auth0/go-auth0/management/management/client"
    option "github.com/auth0/go-auth0/management/management/option"
)

func do() {
    client := client.NewClient(
        option.WithToken(
            "<token>",
        ),
    )
    request := &management.UpdateClientGrantRequestContent{}
    client.ClientGrants.Update(
        context.TODO(),
        "id",
        request,
    )
}
{
  "id": "<string>",
  "client_id": "<string>",
  "audience": "<string>",
  "scope": [
    "<string>"
  ],
  "organization_usage": "deny",
  "allow_any_organization": true,
  "default_for": "third_party_clients",
  "is_system": true,
  "subject_type": "client",
  "authorization_details_types": [
    "<string>"
  ],
  "allow_all_scopes": true
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

ID of the client grant to update.

Body

scope
string[] | null

Scopes allowed for this client grant.

Required string length: 1 - 280
organization_usage
enum<string> | null

Controls how organizations may be used with this grant

Available options:
deny,
allow,
require,
null
allow_any_organization
boolean | null

Controls allowing any organization to be used with this grant

authorization_details_types
string[]

Types of authorization_details allowed for this client grant.

Required string length: 1 - 255
allow_all_scopes
boolean | null

If enabled, all scopes configured on the resource server are allowed for this grant.

Response

Client grant successfully updated.

id
string

ID of the client grant.

client_id
string

ID of the client.

audience
string

The audience (API identifier) of this client grant.

Minimum string length: 1
scope
string[]

Scopes allowed for this client grant.

Minimum string length: 1
organization_usage
enum<string>

Defines whether organizations can be used with client credentials exchanges for this grant.

Available options:
deny,
allow,
require
allow_any_organization
boolean

If enabled, any organization can be used with this grant. If disabled (default), the grant must be explicitly assigned to the desired organizations.

default_for
enum<string>

Applies this client grant as the default for all clients in the specified group. The only accepted value is third_party_clients, which applies the grant to all third-party clients. Per-client grants for the same audience take precedence. Mutually exclusive with client_id.

Available options:
third_party_clients
is_system
boolean

If enabled, this grant is a special grant created by Auth0. It cannot be modified or deleted directly.

subject_type
enum<string>

The type of application access the client grant allows.

Available options:
client,
user
authorization_details_types
string[]

Types of authorization_details allowed for this client grant.

Required string length: 1 - 255
allow_all_scopes
boolean

If enabled, all scopes configured on the resource server are allowed for this grant.